﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    /// <summary>
    /// Klasa encji zaproszeń wysyłanych w trakcie dodawania uczestników do projektów.
    /// Autor: Jakub Szatkowski
    /// </summary>
    [Table("Invitation")]
    public class Invitation
    {
        [Column("id_user")]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int UserId { get; set; }
        [Column("id_project")]
        public int ProjectId { get; set; }
        [Column("date_of_invitation")]
        public DateTime DateOfInvitation { get; set; }
    }
}
