﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    /// <summary>
    /// Encja wiadomości wysyłanych do użytkowników serwisu ITProject.
    /// Autor: Jakub Szatkowski
    /// </summary>
    [Table("Message")]
    public class Message
    {
        [Column("id_message")]
        public int Id { get; set; }
        [Column("date_of_send")]
        public DateTime DateOfSend { get; set; }
        [Column("subject")]
        public string Subject { get; set; }
        [Column("text")]
        public string Text { get; set; }
        [Column("readed")]
        public bool Readed { get; set; }
        [Column("read_confirmation")]
        public bool ReadConfrimation { get; set; }
        [Column("id_sender")]
        public int Sender { get; set; }
        [Column("id_receive")]
        public int Receiver { get; set; }
    }
}
