﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("Team")]
    public class Team
    {
        [Column("id_team")]
        public int Id { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("descript")]
        public string Description { get; set; }
        [Column("date_of_create")]
        public DateTime DateOfCreate { get; set; }
        [Column("id_project")]
        public int ProjectId { get; set; }
        [Column("id_leader")]
        public int LeaderId { get; set; }
    }
}
