﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ITProject.Domain
{
    /// <summary>
    /// Rola użytkonika w systemie lub w projekcie.
    /// Autor: Jakub Szatkowski
    /// </summary>
    public enum UserRole
    {
        /// <summary>
        /// Zwykły użytkownik
        /// </summary>
        User=1,

        /// <summary>
        /// Zarządzający, administrator
        /// </summary>
        Supervisor=2,

        /// <summary>
        /// Lider zespołu lub moderator
        /// </summary>
        Manager=3,

        /// <summary>
        /// Użytkownik nie ma żadnej roli
        /// </summary>
        NoRole=0
    }
}
