﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("Feature")]
    public class Feature
    {
        [Column("id_feature")]
        public int Id { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("descript")]
        public string Description { get; set; }
        [Column("start_date")]
        public DateTime StartDate { get; set; }
        [Column("planned_stop_date")]
        public DateTime PlannedEndDate { get; set; }
        [Column("id_status")]
        public byte Status { get; set; }
        [Column("id_priority")]
        public byte Priority { get; set; }
        [Column("is_to_team")]
        public bool IsToTeam { get; set; }
        [Column("id_release")]
        public int? ReleaseId { get; set; }
        [Column("id_project")]
        public int ProjectId { get; set; }
    }
}
