﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("FunctionalRequirement")]
    public class FunctionalRequirement
    {
        [Column("id_requirement")]
        public int Id { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("id_project")]
        public int ProjectId { get; set; }
        [Column("actors")]
        public string Actors { get; set; }
        [Column("id_priority")]
        public byte Priority { get; set; }
        [Column("id_author")]
        public int AuthorId { get; set; }
        [Column("date_of_create")]
        public DateTime DateOfCreate { get; set; }
        [Column("date_of_last_modification")]
        public DateTime DateOfLastModification { get; set; }
        [Column("descript")]
        public string Description { get; set; }
        [Column("init_conditions")]
        public string InitConditions { get; set; }
        [Column("final_conditions")]
        public string FinalConditions { get; set; }
    }
}
