﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    /// <summary>
    /// Encja odpowiadająca projektowi założonemu w serwisie ITProject.
    /// Autor: Jakub Szatkowski
    /// </summary>
    [Table("Project")]
    public class Project
    {
        [Column("id_project")]
        public int Id { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("short_description")]
        public string ShortDescription { get; set; }
        [Column("long_description")]
        public string Description { get; set; }
        [Column("logo")]
        public string LogoPath { get; set; }
        [Column("start_date")]
        public DateTime StartDate { get; set; }
        [Column("id_owner")]
        public int IdOwner { get; set; }
    }
}
