﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;


namespace ITProject.Domain.Entities
{
    /// <summary>
    /// Tabela łacząca użytkowników z konkretnymi projektami.
    /// Autor: Jakub Szatkowski
    /// </summary>
    [Table("ProjectUser")]
    public class ProjectUser
    {
        [Column("id_project")]
        public int ProjectId { get; set; }
        [Column("id_user")]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int UserId { get; set; }
        [Column("id_role")]
        public byte RoleId { get; set; }
    }
}
