﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("Release")]
    public class Release
    {
        [Column("id_release")]
        public int Id { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("descript")]
        public string Description { get; set; }
        [Column("planned_stop_date")]
        public DateTime PlannedEndDate { get; set; }
        [Column("id_project")]
        public int ProjectId { get; set; }
        [Column("id_status")]
        public byte Status { get; set; }
    }
}
