﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("Scenario")]
    public class Scenario
    {
        [Column("id_scenario")]
        public int Id { get; set; }
        [Column("number")]
        public int Number { get; set; }
        [Column("id_requirement")]
        public int FunctionalRequirementId { get; set; }
        [Column("id_scenario_parent")]
        public int? ParentId { get; set; }
        [Column("scenario_text")]
        public string Text { get; set; }
    }
}
