﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("StatusChange")]
    public class StatusChange
    {
        [Column("id_status_change")]
        public int Id { get; set; }
        [Column("date_of_change")]
        public DateTime DateOfChange { get; set; }
        [Column("comment")]
        public string Comment { get; set; }
        [Column("id_old_status")]
        public byte? OldStatus { get; set; }
        [Column("id_new_status")]
        public byte NewStatus { get; set; }
        [Column("id_user")]
        public int UserId { get; set; }
    }
}
