﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("Task")]
    public class Task
    {
        [Column("id")]
        public int Id { get; set; }
        [Column("id_project")]
        public int ProjectId { get; set; }
        [Column("id_user")]
        public int UserId { get; set; }
        [Column("id_feature")]
        public int? FeatureId { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("descript")]
        public string Description { get; set; }
        [Column("start_date")]
        public DateTime StartDate { get; set; }
        [Column("planned_stop_date")]
        public DateTime PlannedStopDate { get; set; }
        [Column("id_status")]
        public byte Status { get; set; }
        [Column("id_priority")]
        public byte Priority { get; set; }
    }
}
