﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ITProject.Domain.Entities
{
    [Table("Users")]
    public class User
    {
        [Column("id_users")]
        public int Id { get; set; }
        [Column("login")]
        public string Login { get; set; }
        [Column("password")]
        public string Password { get; set; }
        [Column("first_name")]
        public string FirstName { get; set; }
        [Column("last_name")]
        public string LastName { get; set; }
        [Column("date_of_birth")]
        public DateTime BirthDate { get; set; }
        [Column("email")]
        public string Email { get; set; }
        [Column("state")]
        public byte State { get; set; }
        [Column("role")]
        public byte Role { get; set; }
        [Column("date_of_register")]
        public DateTime RegisterDate { get; set; }
        [Column("last_visit")]
        public DateTime? LastVisit { get; set; }
        [Column("sex")]
        public string Sex { get; set; }
    }
}
