﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ITProject.Domain;

namespace ITProject.WebUI.Models.Project
{
    /// <summary>
    /// Klasa modelu widokowanego przesyłana do kontrolki ProjectMenu
    /// Autor: Jakub Szatkowski
    /// </summary>
    public class ProjectMenuViewModel
    {
        /// <summary>
        /// Nazwa projektu
        /// </summary>
        public string ProjectName { get; set; }
        /// <summary>
        /// Rola użytkownika w projekcie
        /// </summary>
        public UserRole Role { get; set; }
    }
}