﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ITProject.Domain.Entities;

namespace ITProject.WebUI.Models.ProjectAdmin
{   
    public class ProjectAdminManageTeamViewModel
    {
        public List<string> TeamNames;

        public static ProjectAdminManageTeamViewModel Convert(IEnumerable<Team> teams)
        {
            
            ProjectAdminManageTeamViewModel manageTeamVM = new ProjectAdminManageTeamViewModel();
            manageTeamVM.TeamNames = new List<string>();

            foreach (Team team in teams)
                manageTeamVM.TeamNames.Add(team.Name);
            return manageTeamVM;
        }
    }
}